# Init payment

Operation for the initiation of a payment using an APMs, performs order creation and prepares the transaction for payment, allowing the customer to proceed with the payment process.

Endpoint: POST /init-payment
Version: 1.0.0
Security: merchant, signature

## Security:

  - `merchant` (unknown)
    apiKey in header merchant

  - `signature` (unknown)
    apiKey in header signature

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `payment_method` (string, required)
    Payment method name.
    Enum: "paypal-vault", "alipay", "blik", "blik-bnpl", "bizum", "boleto", "cashapp", "efecty", "gcash", "ideal", "klarna-network", "mbway", "mercadopago", "mobilepay", "multibanco", "openbanking", "oxxo", "pix-automatico", "przelewy24", "pse", "sencillito", "servipag", "upi", "wechatpay", "webpay"

  - `order_id` (string, required)
    Unique order identifier defined by the merchant, which can be used to find the payment.

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For COP, CRC, HUF, LAK, RSD, and TWD, should pass the integer value of the amount with two zeros at the end (for example, XXXX00, which will be transferred as XXXX.00). The value 0 is valid only for obtaining a billing agreement token (recurring-token).

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.

  - `order_description` (string, required)
    Brief order description.
For the init-payment subscription and one-time payments, the field value is displayed on the user's PayPal statement.For recurring subscription payments, this field is configured in the product settings as Public description when editing a product via Hub.It is used in the email receipt sent to the customer.

  - `order_date` (string)
    Date of order creation defined by the merchant.

  - `customer_account_id` (string)
    Unique customer identifier defined by the merchant.

  - `customer_email` (string, required)
    Customer's email address.

  - `customer_first_name` (string)
    Customer's first name.

  - `customer_last_name` (string)
    Customer's last name.

  - `customer_date_of_birth` (string)
    Customer's date of birth.

  - `customer_phone` (string)
    Customer's phone number.
Should be provided in international format E.164, starting with the plus + sign.

  - `item_category` (string)
    Type of goods.
Highly recommended to provide the shipping_address details for physical_goods.
    Enum: "physical_goods", "digital_goods"

  - `billing_address` (object)
    Billing address details.

  - `billing_address.country` (string)
    ISO 3166-1 alpha-3 country code of the billing address.

  - `billing_address.state` (string)
    ISO 3166-2 address state code of the billing address.

  - `billing_address.city` (string)
    City name.

  - `billing_address.zip` (string)
    Address zip/postal code.

  - `billing_address.line1` (string)
    First line of the address.

  - `billing_address.line2` (string)
    Second line of the address.

  - `shipping_address` (object)
    Address to ship.
If this field is passed by the merchant - the customer cannot change this address.

  - `shipping_address.country` (string)
    ISO 3166-1 alpha-3 country code of the shipping address.

  - `shipping_address.state` (string)
    Code of the state where the person, business or institution is located.

  - `shipping_address.city` (string)
    City or town where the person, business or institution is located.

  - `shipping_address.zip` (string)
    Address zip/postal code where the person, business or institution is located.

  - `shipping_address.line1` (string)
    First line of the address.

  - `shipping_address.line2` (string)
    Second line of the address.

  - `language` (string)
    Customer language settings.
It is used to translate the email receipt to supported languages. If no language is specified, the email receipt defaults to English.

  - `ip_address` (string, required)
    Public IP address of the cardholder, both IPv4 and IPv6 are supported.
Useful for antifraud checks. For recurring payments, use the last session or registration IP.Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.

  - `platform` (string, required)
    Device platform used by the customer at the time of payment.
APP for application, WEB for desktop web, MOB for mobile web.
    Enum: "APP", "WEB", "MOB"

  - `user_agent` (string)
    User-agent string of the device used by the customer.
User-agent string of the customer's device, including browser version and operating system.

  - `order_metadata` (object)
    Metadata is useful for storing additional, structured information about an order.

  - `success_url` (string)
    URL for browser redirect after a successful payment.

  - `fail_url` (string)
    URL for browser redirect after a failed payment.

  - `return_url` (string)
    URL for browser redirect after a payment process.

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For CNY currency, the amount should be in cents (e.g., 8900 = 89.00 CNY).

  - `future_usage` (object, required)
    Defines the usage of stored payment credentials.
Use one-time for single payments or unscheduled for recurring payments.

  - `future_usage.payment_type` (string, required)
    Type of payment for future usage.
    Enum: "one-time"

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's Alipay transaction history.It is used in the email receipt sent to the customer.

  - `platform` (string, required)
    Client platform used to select the appropriate customer confirmation path during checkout.
APP opens authorization in an app context, MOB continues in mobile web, WEB runs a desktop browser flow.
    Enum: "APP", "WEB", "MOB"

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "PLN"

  - `payment_method_flow` (string, required)
    Interaction process according to this method.
    Enum: "direct", "redirect"

  - `future_usage` (object, required)
    Defines the usage of stored payment credentials.

  - `future_usage.payment_type` (string, required)
    Type of payment for future usage.
Use unscheduled with direct for Blik Recurring.
    Enum: "one-time", "unscheduled"

  - `order_description` (string, required)
    Brief order description.
It is used in the email receipt sent to the customer.

  - `user_agent` (string)
    User-agent string of the device used by the customer.

  - `payment_type_data` (object)
    Additional data required to make payments with the specific APMs.

  - `payment_type_data.blik_code` (string, required)
    BLIK code, obtained from the Blik app, for transaction processing.

  - `payment_method_flow` (string, required)
    Interaction process according to this method.
    Enum: "redirect"

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount should be in cents (e.g., 400 = 4.00 EUR).

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "EUR"

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's Bizum transaction history.It is used in the email receipt sent to the customer.

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
Possible local taxes, such as IOF-FX in Brazil.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "BRL"

  - `payment_method_flow` (string)
    Interaction process according to this method.
If the field is not specified, the process available in the method is used.
    Enum: "redirect", "direct"

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For USD currency, the amount should be in cents (e.g., 1020 = 10.20 USD).

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "USD"

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "COP"

  - `ip_address` (string, required)
    Public IP address of the cardholder.

  - `payment_type_data` (object)
    Additional data required for the specific payment method.

  - `payment_type_data.colombia_cc` (string)
    Colombian citizen identifier number.

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For PHP currency, the amount should be in cents (e.g., 2575 = 25.75 PHP).

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "PHP"

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's GCash transaction history.It is used in the email receipt sent to the customer.

  - `order_description` (string, required)
    Brief order description.
To prevent errors, most iDEAL systems reject descriptions containing characters that could cause issues, such as HTML editing codes, which might lead to problems.It is used in the email receipt sent to the customer.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
Use the local currency for the selected purchase country.
    Enum: "AUD", "CAD", "CHF", "CZK", "DKK", "EUR", "GBP", "HUF", "MXN", "NOK", "NZD", "PLN", "RON", "SEK", "USD"

  - `order_description` (string, required)
    Order description displayed to the customer.
Highly recommended to provide a clear description of the subscribed product for recurring payments. It is displayed in the Klarna Customer Journey and affects the customer experience.It is used in the email receipt sent to the customer.

  - `customer_first_name` (string)
    Customer's first name.
Should be provided for physical_goods.

  - `customer_last_name` (string)
    Customer's last name.
Should be provided for physical_goods.

  - `customer_phone` (string)
    Customer's phone number.
Should be provided for physical_goods in international format E.164, starting with the plus + sign.

  - `item_category` (string, required)
    Product category sent to Klarna for eligibility and address handling.
    Enum: "physical_goods", "digital_goods"

  - `shipping_address` (object)
    Shipping address details.
Should be provided for physical_goods.

  - `shipping_address.state` (string)
    Shipping state or region.

  - `shipping_address.city` (string)
    City name.

  - `shipping_address.zip` (string)
    Address zip or postal code.

  - `payment_type_data` (object)
    Additional data required to make payments with Klarna.

  - `payment_type_data.klarna_network_session_token` (string)
    Klarna Web SDK session token.
Highly recommended for Klarna boost features like Express Checkout, On-Site Messaging, and Sign in with Klarna. Enables session continuity and pre-filled customer details.Obtain the token from the Klarna Web SDK and always use the latest value. Never reuse a consumed token.

  - `payment_type_data.klarna_network_data` (string)
    Klarna Network Data (KND). Structured JSON pass-through carrying Klarna payment context across the payment lifecycle.
Highly recommended to include supplementary purchase data, for example order line items, as described in How to send Klarna Network Data.

  - `payment_type_data.klarna_originators` (array)
    Array of third-party systems that are responsible for the request (e.g. Shopify, WooCommerce). If the request is sent through multiple systems before reaching the Solidgate, each system can be represented as an originator.

  - `payment_type_data.klarna_originators.name` (string, required)
    The name of the originator.
    Example: SHOPIFY

  - `payment_type_data.klarna_originators.session_reference` (string, required)
    A reference to the session that is being used.

  - `payment_type_data.klarna_originators.module_name` (string)
    The name of the module that is being used.

  - `payment_type_data.klarna_originators.module_version` (string)
    The version of the module that is being used.

  - `payment_type_data.sweden_pin` (string)
    Swedish personal identity number for customers in Sweden.
    Example: 19811228-9874

  - `payment_type_data.norway_nin` (string)
    Norwegian national identity number for customers in Norway.
    Example: 01017012345

  - `payment_type_data.italy_cf` (string)
    Italian tax code, codice fiscale, for customers in Italy.
    Example: RSSMRA85M01H501Z

  - `payment_type_data.finland_hetu` (string)
    Finnish personal identity code for customers in Finland.
    Example: 131052-308T

  - `payment_type_data.spain_dni` (string)
    Spanish national ID, DNI, for customers in Spain.
    Example: 12345678Z

  - `payment_type_data.denmark_cpr` (string)
    Danish civil registration number for customers in Denmark.
    Example: 120578-1234

  - `payment_type_data.usa_ssn` (string)
    US Social Security Number for customers in the United States.
    Example: 123-45-6789

  - `ip_address` (string, required)
    Public IP address of the cardholder, both IPv4 and IPv6 are supported.
Useful for antifraud checks. For recurring payments, use the last session or registration IP.Private IPs in ranges 10.0.0.0 to 10.255.255.255, 172.16.0.0 to 172.31.255.255, and 192.168.0.0 to 192.168.255.255 will result in an 'Invalid IP' error.

  - `user_agent` (string)
    User agent string of the device used by the customer.

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
Possible local taxes, such as IOF-FX in Brazil or VAT/PAIS in Argentina.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "ARS", "BRL", "CLP", "COP", "MXN", "PEN", "UYU"

  - `payment_type_data` (object, required)
    Additional data required to make payments with the specific payment methods. Specify the value that belongs to the user country.
ARG - argentina_dni, BRA - brazil_cpf, CHL - chile_ci, COL - colombia_cc, MEX - mexico_curp, PER - peru_dni, URY - uruguay_ci.

  - `payment_type_data.argentina_dni` (string, required)
    National identity document code should be collected and provided for Argentinian cardholders.

  - `payment_type_data.brazil_cpf` (string, required)
    Individual taxpayer registry identification number should be collected and provided for Brazilian customers.

  - `payment_type_data.chile_ci` (string, required)
    Chilean citizen identifier number.

  - `payment_type_data.mexico_curp` (string, required)
    Unique Population Registry Code.

  - `payment_type_data.peru_dni` (string, required)
    National identity document code for Peruvian cardholders.

  - `payment_type_data.uruguay_ci` (string, required)
    Cédula de Identidad (National Identity Card) for Uruguay.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "DKK"

  - `amount` (integer, required)
    Order amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount should be in cents (e.g., 2490 = 24.90 EUR).

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "EUR", "GBP"

  - `item_category` (string, required)
    Type of goods.
    Enum: "physical_goods", "digital_goods"

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "MXN"

  - `payment_method` (string, required)
    Payment method name.
Pix payments via redirect to the customer’s bank page.
    Enum: "pix"

  - `item_category` (string)
    Identifies the category of the item.
- `physical_goods` - tangible item that can be shipped with proof of delivery
- `digital_goods` - goods that are stored, delivered, and used in electronic format
    Enum: "physical_goods", "digital_goods"

  - `platform` (string, required)
    Device platform used by customer at the moment of payment.
APP for application, WEB for desktop web, MOB for mobile web.
    Enum: "APP", "WEB", "MOB"

  - `payment_method` (string, required)
    Payment method name.
Pix payments via redirect to a page with QR.
    Enum: "pix-qr"

  - `platform` (string, required)
    Device platform, which the customer used at the moment of payment.
APP for application, WEB for desktop web, MOB for mobile web.
    Enum: "APP", "WEB", "MOB"

  - `payment_type_data` (object, required)
    Additional data that is required to make payments with the specific APMs.

  - `future_usage` (object, required)
    Defines recurring mandate parameters.

  - `future_usage.payment_type` (string, required)
    Pix Automático mandate authorization.
    Enum: "recurring"

  - `future_usage.billing_period` (object, required)
    Recurring billing interval for the mandate.
Only the following unit and value pairs are accepted.

  - `future_usage.billing_period.unit` (string, required)
    Billing interval unit.
    Enum: "day"

  - `future_usage.billing_period.value` (integer, required)
    Must be 7 with day for a weekly interval.
    Enum: "7"

  - `future_usage.billing_period.unit` (string, required)
    Billing interval unit.
    Enum: "week"

  - `future_usage.billing_period.value` (integer, required)
    Must be 1 with week for a weekly interval.
    Enum: "1"

  - `future_usage.billing_period.unit` (string, required)
    Billing interval unit.
    Enum: "month"

  - `future_usage.billing_period.value` (integer, required)
    Must be 1 with month for a monthly interval.
    Enum: "1"

  - `future_usage.billing_period.value` (integer, required)
    Must be 3 with month for a quarterly interval.
    Enum: "3"

  - `future_usage.billing_period.value` (integer, required)
    Must be 6 with month for a semi-annual interval.
    Enum: "6"

  - `future_usage.billing_period.value` (integer, required)
    Must be 12 with month for an annual interval.
    Enum: "12"

  - `future_usage.billing_period.unit` (string, required)
    Billing interval unit.
    Enum: "year"

  - `future_usage.billing_period.value` (integer, required)
    Must be 1 with year for an annual interval.
    Enum: "1"

  - `future_usage.max_amount` (integer, required)
    Maximum authorized charge amount per billing cycle in the smallest currency unit for BRL.

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "CLP"

  - `currency` (string, required)
    Three-letter ISO-4217 currency code.
    Enum: "INR"

  - `payment_method_flow` (string, required)
    Interaction process according to this method.
direct for UPI Collect with india_vpa.redirect for UPI Intent; the customer authorizes via the deep link in the response.
    Enum: "direct", "redirect"

  - `billing_address` (object, required)
    Billing address details for UPI payments in India.
country and zip are required for UPI transactions.

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's WeChat Pay transaction history.It is used in the email receipt sent to the customer.

  - `platform` (string, required)
    Client platform used to determine how the payer authorization journey is started.
APP starts authorization in an app context, MOB follows a mobile browser path, WEB uses a desktop browser path.
    Enum: "APP", "WEB", "MOB"

  - `product_id` (string, required)
    Unique product identifier.
Product used for one-time purchases, such as upsells or single-use services.

  - `currency` (string)
    Three-letter ISO-4217 currency code.
Additionally, it is imperative to specify currencies for multi-currency subscription-based products, such as in USD and EUR.

  - `order_description` (string)
    Brief order description.
For the init-payment subscription and one-time payments, the field value is displayed on the user's PayPal statement.For recurring subscription payments, this field is configured in the product settings as Public description when editing a product via Hub.

  - `user_agent` (string)
    User-agent string of the device used by the customer.
The user-agent string offers comprehensive details about the web browser, its version, and the device operating system, aiding in device identification for enhanced user experiences, analytics, and security.

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's Alipay transaction history.

  - `order_description` (string)
    Brief order description.

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's GCash transaction history.

  - `order_description` (string)
    Brief order description.
To prevent errors, most iDEAL systems reject descriptions containing characters that could cause issues, such as HTML editing codes, which might lead to problems.

  - `product_id` (string, required)
    Unique product identifier.
Product used for one time purchases, such as upsells or single use services.

  - `future_usage` (object)
    Defines the usage of stored payment credentials for one-time Klarna payments.

  - `product_id` (string, required)
    Unique product identifier.
Product used for one-time purchases, such as upsells or single-use services.Possible local taxes, such as IOF-FX in Brazil or VAT/PAIS in Argentina.

  - `currency` (string)
    Three-letter ISO-4217 currency code.
Additionally, it is imperative to specify currencies for multi-currency subscription-based products, such as in USD and EUR.
    Enum: "ARS", "BRL", "CLP", "COP", "MXN", "PEN", "UYU"

  - `product_id` (string, required)
    Unique product identifier of the subscription.
Possible local taxes, such as IOF-FX in Brazil.

  - `future_usage` (object, required)
    Defines the usage of stored payment credentials for product-based UPI payments.
Use unscheduled for subsequent merchant-initiated charges. Optional max_amount sets a custom authorization ceiling.

  - `future_usage.payment_type` (string, required)
    Type of payment for future usage.
    Enum: "unscheduled"

  - `future_usage.max_amount` (integer)
    Maximum authorized charge amount per transaction in the smallest currency unit for INR.

  - `order_description` (string, required)
    Brief order description.
The field value is displayed in the customer's WeChat Pay transaction history.

  - `order_id` (string, required)
    Unique order identifier, which can be used to find the payment.
For the first payment, the identifier is defined by the merchant.For recurring subscription-based payments, it is generated by the Solidgate subscription service.

  - `product_id` (string, required)
    Unique product identifier.
Product used for recurring purchases, such as services with ongoing access or a subscription-based model.

  - `payment_method_flow` (string, required)
    Interaction process according to this method.
    Enum: "direct"

  - `currency` (string)
    Three-letter ISO-4217 currency code.
Additionally, it is imperative to specify currencies for multi-currency subscription-based products, such as in USD and EUR.
    Enum: "PHP"

  - `future_usage` (object)
    Recurring Klarna authorization when billing is taken from a Solidgate product.
Do not send billing_amount or billing_period when product_id or product_price_id is provided.

  - `future_usage.payment_type` (string, required)
    Type of payment for future usage.
    Enum: "recurring"

  - `currency` (string)
    Three-letter ISO-4217 currency code.
Additionally, it is imperative to specify currencies for multi-currency subscription-based products, such as in USD and EUR.
    Enum: "EUR"

  - `order_description` (string, required)
    Brief order description.
For the init-payment subscription and one-time payments, the field value is displayed on the user's payment statement.For recurring subscription payments, this field is configured in the product settings as Public description when editing a product via Hub.

  - `product_id` (string, required)
    Unique product identifier.
Product used for recurring purchases, such as services with ongoing access or a subscription-based model.Possible local taxes, such as IOF-FX in Brazil or VAT/PAIS in Argentina.

  - `product_id` (string, required)
    Product identifier of the subscription.
Possible local taxes, such as IOF-FX in Brazil.

  - `order_id` (string, required)
    Unique order identifier, which can be used to find the payment.

  - `product_id` (string, required)
    Product identifier of the subscription.
Use for product-based billing plans approved by the Central Bank of Brazil.

  - `future_usage` (object)
    Pix Automático authorization ceiling settings for product-based and subscription payments.

## Request examples:

  - `PayPal` (unknown)

  - `Alipay` (unknown)

  - `Blik` (unknown)

  - `Blik Pay Later` (unknown)

  - `Bizum` (unknown)

  - `Boleto` (unknown)

  - `Cash App Pay` (unknown)

  - `Efecty` (unknown)

  - `GCash` (unknown)

  - `Ideal` (unknown)

  - `Klarna` (unknown)

  - `MB WAY` (unknown)

  - `Mercado Pago` (unknown)

  - `MobilePay` (unknown)

  - `Multibanco` (unknown)

  - `OXXO` (unknown)

  - `Pay by Bank` (unknown)

  - `Pix QR` (unknown)

  - `Pix Automático` (unknown)

  - `Przelewy24` (unknown)

  - `PSE` (unknown)

  - `Sencillito` (unknown)

  - `Servipag` (unknown)

  - `SmartPix` (unknown)

  - `UPI` (unknown)

  - `Webpay` (unknown)

  - `WeChat Pay` (unknown)

  - `Product-based payment PayPal` (unknown)

  - `Product-based payment Alipay` (unknown)

  - `Product-based payment Blik` (unknown)

  - `Product-based payment Blik Pay Later` (unknown)

  - `Product-based payment Boleto` (unknown)

  - `Product-based payment Efecty` (unknown)

  - `Product-based payment GCash` (unknown)

  - `Product-based payment Ideal` (unknown)

  - `Product-based payment Klarna` (unknown)

  - `Product-based payment MB WAY` (unknown)

  - `Product-based payment Mercado Pago` (unknown)

  - `Product-based payment MobilePay` (unknown)

  - `Product-based payment Multibanco` (unknown)

  - `Product-based payment OXXO` (unknown)

  - `Product-based payment Pay by Bank` (unknown)

  - `Product-based payment Pix QR` (unknown)

  - `Product-based payment Przelewy24` (unknown)

  - `Product-based payment PSE` (unknown)

  - `Product-based payment Sencillito` (unknown)

  - `Product-based payment Servipag` (unknown)

  - `Product-based payment SmartPix` (unknown)

  - `Product-based payment UPI` (unknown)

  - `Product-based payment Webpay` (unknown)

  - `Product-based payment WeChat Pay` (unknown)

  - `Subscription payment PayPal` (unknown)

  - `Subscription payment Alipay` (unknown)

  - `Subscription payment Blik` (unknown)

  - `Subscription payment GCash` (unknown)

  - `Subscription payment Klarna` (unknown)

  - `Subscription payment MB WAY` (unknown)

  - `Subscription payment Mercado Pago` (unknown)

  - `Subscription payment Pix Automático` (unknown)

  - `Subscription payment SmartPix` (unknown)

  - `Subscription payment UPI` (unknown)

  - `Subscription payment WeChat Pay` (unknown)

## Response 200:

  - `200` (unknown)
    Request received

## Response 200 fields (application/json):

  - `order` (object)
    Details of an order, including identifiers, timestamps, amounts, status, and customer data.
Order's structure may vary depending on the alternative payment methodmethod used.

  - `order.method` (string)
    Enum: "paypal-vault", "alipay", "blik", "blik-bnpl", "bizum", "boleto", "cashapp", "efecty", "gcash", "ideal", "klarna-network", "mbway", "mercadopago", "mobilepay", "multibanco", "openbanking", "oxxo", "pix", "pix-qr", "pix-automatico", "przelewy24", "pse", "sencillito", "servipag", "upi", "webpay", "wechatpay"

  - `order.method` (string)
    Payment method that was used to process the order.
    Enum: "paypal-vault", "alipay", "blik", "blik-bnpl", "bizum", "boleto", "cashapp", "efecty", "gcash", "ideal", "klarna-network", "mbway", "mercadopago", "mobilepay", "multibanco", "openbanking", "oxxo", "pix-automatico", "przelewy24", "pse", "sencillito", "servipag", "upi", "webpay", "wechatpay"

  - `order.id` (string)
    Unique payment identifier.
    Example: pay_01KMG2ABYPF6XS5DMJQ817C429

  - `order.order_id` (string)
    Unique order identifier, which can be used to find the payment.
For the first payment, the identifier is defined by the merchant.For recurring subscription-based payments, it is generated by the Solidgate subscription service.

  - `order.created_at` (string)
    Datetime when the order was created.

  - `order.updated_at` (string)
    Datetime when the order was updated.

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For COP, CRC, HUF, LAK, RSD, and TWD, should pass the integer value of the amount with two zeros at the end (for example, XXXX00, which will be transferred as XXXX.00). The value 0 is valid only for obtaining a billing agreement token (recurring-token).

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.

  - `order.order_description` (string)
    Brief order description.

  - `order.status` (string)
    Status of the requested order.
    Enum: "created", "processing", "approved", "declined", "refunded"

  - `order.customer_account_id` (string)
    Unique customer identifier defined by the merchant.

  - `order.customer_email` (string)
    Customer's email address.

  - `order.ip_address` (string)
    Public IP address of the cardholder, both IPv4 and IPv6 are supported.
Required for antifraud checks. For recurring payments, use the last session or registration IP.Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).

  - `order.order_id` (string)
    Unique order identifier defined by the merchant, which can be used to find the payment.

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "PLN"

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount is in cents (e.g., 400 = 4.00 EUR).

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "BRL"

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For USD currency, the amount is in cents (e.g., 1020 = 10.20 USD).

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "USD"

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "COP"

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For PHP currency, the amount is in cents, for example, 2575 = 25.75 PHP.

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "EUR"

  - `order.status` (string)
    Status of the requested order.
    Enum: "created", "processing", "settle_pending", "approved", "declined", "refunded"

  - `order.order_id` (string)
    Unique order identifier, which can be used to find the payment.
For the first payment, the identifier is defined by the merchant.For recurring subscription payments, it is generated by the Solidgate subscription service.

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "AUD", "CAD", "CHF", "CZK", "DKK", "EUR", "GBP", "HUF", "MXN", "NOK", "NZD", "PLN", "RON", "SEK", "USD"

  - `order.ip_address` (string)
    Public IP address of the cardholder, both IPv4 and IPv6 are supported.
Required for antifraud checks. For recurring payments, use the last session or registration IP.Private IPs in ranges 10.0.0.0 to 10.255.255.255, 172.16.0.0 to 172.31.255.255, and 192.168.0.0 to 192.168.255.255 will result in an 'Invalid IP' error.

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "ARS", "BRL", "CLP", "COP", "MXN", "PEN", "UYU"

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "DKK"

  - `order.amount` (integer)
    Order amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount is in cents (e.g., 2490 = 24.90 EUR).

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "EUR", "GBP"

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "MXN"

  - `order.method` (string)
    Payment method that was used to process the order.
Pix payments via redirect to the customer’s bank page.
    Enum: "pix"

  - `order.method` (string)
    Payment method that was used to process the order.
Pix payments via redirect to a page with QR.
    Enum: "pix-qr"

  - `order.token` (string)
    Mandate or stored credential token for subsequent scheduled charges.
Present on recurring flows after the customer has authorized the mandate. Use it with the recurring endpoint.

  - `order.customer_first_name` (string)
    Customer's first name.

  - `order.customer_last_name` (string)
    Customer's last name.

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "CLP"

  - `order.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "INR"

  - `transactions` (array)
    Details of transactions, including payment method, identifiers, amounts, currencies, statuses, and types.
Transaction's structure may vary depending on the alternative payment methodmethod used.

  - `transactions.method` (string, required)
    Payment method used for the transaction.
    Enum: "paypal-vault", "alipay", "blik", "blik-bnpl", "bizum", "boleto", "cashapp", "efecty", "gcash", "ideal", "klarna-network", "mbway", "mercadopago", "mobilepay", "multibanco", "openbanking", "oxxo", "pix", "pix-qr", "pix-automatico", "przelewy24", "pse", "sencillito", "servipag", "upi", "webpay", "wechatpay"

  - `transactions.method` (string)
    Payment method that was used to process the transaction.
    Enum: "paypal-vault", "alipay", "blik", "blik-bnpl", "bizum", "boleto", "cashapp", "efecty", "gcash", "ideal", "klarna-network", "mbway", "mercadopago", "mobilepay", "multibanco", "openbanking", "oxxo", "przelewy24", "pse", "sencillito", "servipag", "upi", "webpay", "wechatpay"

  - `transactions.id` (string)
    Unique identifier associated with a transaction.

  - `transactions.created_at` (string)
    Datetime when the transaction was created.

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For COP, CRC, HUF, LAK, RSD, and TWD, should pass the integer value of the amount with two zeros at the end (for example, XXXX00, which will be transferred as XXXX.00). The value 0 is valid only for obtaining a billing agreement token (recurring-token).

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.

  - `transactions.status` (string)
    Status of the transaction.
    Enum: "created", "processing", "success", "fail"

  - `transactions.type` (string)
    Type of the transaction.
    Enum: "pay", "recurring", "refund"

  - `transactions.payer_details` (object)
    Details of the payer for transactions conducted through APMs.
It provides essential information such as the payer's email and the invoice identifier, both of which are specifically applicable to transactions conducted with the PayPal paypal-vault method.

  - `transactions.payer_details.invoice_id` (string)
    Unique invoice identifier provided by PayPal.
    Example: 123443334

  - `transactions.payer_details.payer_email` (string)
    Payer's email.
Should be provided only for the transactions with paypal-vault method.

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).

  - `transactions.id` (string)
    Unique transaction identifier.

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "PLN"

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount is in cents (e.g., 400 = 4.00 EUR).

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "BRL"

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For USD currency, the amount is in cents (e.g., 1020 = 10.20 USD).

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "USD"

  - `transactions.type` (string)
    Type of the transaction.
    Enum: "pay", "refund"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "COP"

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For PHP currency, the amount is in cents (e.g., 2575 = 25.75 PHP).

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "EUR"

  - `transactions.status` (string)
    Status of the transaction.
    Enum: "created", "processing", "settle_pending", "success", "fail"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "AUD", "CAD", "CHF", "CZK", "DKK", "EUR", "GBP", "HUF", "MXN", "NOK", "NZD", "PLN", "RON", "SEK", "USD"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "ARS", "BRL", "CLP", "COP", "MXN", "PEN", "UYU"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "DKK"

  - `transactions.amount` (integer)
    Transaction amount in the smallest currency unit supported by the alternative payment method.
For EUR currency, the amount is in cents (e.g., 2490 = 24.90 EUR).

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "EUR", "GBP"

  - `transactions.status` (string)
    Status of the transaction.
    Enum: "created", "settle_pending", "processing", "success", "fail"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "MXN"

  - `transactions.method` (string)
    Payment method that was used to process the transaction.
Pix payments via redirect to the customer’s bank page.
    Enum: "pix"

  - `transactions.method` (string)
    Payment method that was used to process the transaction.
Pix payments via redirect to a page with QR.
    Enum: "pix-qr"

  - `transactions.method` (string)
    8Payment method that was used to process the transaction.
    Enum: "pix-automatico"

  - `transactions.type` (string)
    Type of the transaction.
pay for the initial mandate or a one-off charge. recurring for subsequent scheduled charges using a stored token.
    Enum: "pay", "recurring", "refund"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "CLP"

  - `transactions.currency` (string)
    Three-letter ISO-4217 currency code.
    Enum: "INR"

  - `pay_form` (object)
    Payment form data.
Including fields necessary for processing the payment.

  - `pay_form.return_url` (string)
    URL for browser redirect after a payment process.

  - `pay_form.script_url` (string)
    URL of the JavaScript file required to render the APM payment form during integration, initialization, and configuration.

  - `pay_form.token` (string)
    Secure payment token representing sensitive payment method information.
Token received on the first payment, which should be used for subsequent payments.

  - `payment_type_data` (any)
    Additional data required to make payments with the specific alternative payment methods.
This object is specifically for Boleto, Multibanco (24-hour reference validity), Pix QR, Pix Automático initial mandate responses with QR payload and expiry, and UPI Intent responses with a deep link for mandate authorization.

  - `payment_type_data.amount` (number)
    Amount in the smallest currency unit supported by the alternative payment method.
Should be provided in the currency of the transaction.

  - `payment_type_data.currency` (string)
    Three-letter ISO-4217 currency code.

  - `payment_type_data.expiration_date` (string)
    Expiration date.

  - `payment_type_data.image_url` (string)
    URL of the image representing the full boleto method details.
This provides a visual reference for the user.

  - `payment_type_data.number` (string)
    Ticket number.
Long number customers enter in their bank app or website to complete the payment.

  - `payment_type_data.type` (string)
    Payment method type.
This specifies the category of the alternative payment method being used.

  - `payment_type_data.type` (string)
    Payment method type.
This specifies the category of the alternative payment method being used.
    Enum: "multibanco"

  - `payment_type_data.entity` (string)
    Five-digit entity code identifying the merchant for Multibanco payments.
Customers use this code together with the payment reference at an ATM or home banking.

  - `payment_type_data.reference` (string)
    Nine-digit payment reference number.
Customers enter this reference together with the entity code to complete the payment.

  - `payment_type_data.reference_expiration` (string)
    ISO 8601 datetime when the Multibanco payment reference expires.
The voucher is active for 120 hours (5 days) from issuance.

  - `payment_type_data.qr_code_value` (string)
    EMV payload for the customer to scan or copy into a Pix app.

  - `payment_type_data.qr_code_expiration_date` (string)
    Expiration datetime of the QR code.

  - `payment_type_data.qr_code_expiration_date` (string)
    Expiration datetime of the QR code, usually within one hour after issuance.

  - `payment_type_data.deep_link_value` (string)
    UPI deep link URI for mandate or payment authorization.

  - `order_metadata` (object)
    Metadata is useful for storing additional, structured information about an object.

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 200 examples:

  - `PayPal` (unknown)

  - `Alipay` (unknown)

  - `Blik` (unknown)

  - `Blik Pay Later` (unknown)

  - `Bizum` (unknown)

  - `Boleto` (unknown)

  - `Cash App Pay` (unknown)

  - `Efecty` (unknown)

  - `GCash` (unknown)

  - `Ideal` (unknown)

  - `Klarna` (unknown)

  - `MB WAY` (unknown)

  - `Mercado Pago` (unknown)

  - `MobilePay` (unknown)

  - `Multibanco` (unknown)

  - `OXXO` (unknown)

  - `Pay by Bank` (unknown)

  - `Pix QR` (unknown)

  - `Pix Automático` (unknown)

  - `Przelewy24` (unknown)

  - `PSE` (unknown)

  - `Sencillito` (unknown)

  - `Servipag` (unknown)

  - `SmartPix` (unknown)

  - `UPI` (unknown)

  - `Webpay` (unknown)

  - `WeChat Pay` (unknown)

  - `Authentication failed` (unknown)

  - `Error 2.01 Invalid data` (unknown)

  - `Error 2.01 Order not found` (unknown)

  - `Error X.XX` (unknown)

